Subject: [clue] draft-ietf-clue-datachannel-05 and DCEP

From: Christian Groves <[email-masked]>
Date: Wed, 07 Jan 2015 13:28:08 +1100

Hello Christer, all,

I'm just wondering what the status of DCEP in 
draft-ietf-clue-datachannel is?

The discussion below seemed to conclude that DCEP wasn't needed?

Regards, Christian

On 26/11/2014 11:20 AM, Christian Groves wrote:
> I'm OK with dropping DCEP. It could be worth keeping the DCEP code 
> point as you say for non-O/A environment.
>
> Regards, Christian
>
> On 26/11/2014 6:17 AM, Christer Holmberg wrote:
>> Hi,
>>
>> I agree with Paul.
>>
>> But, the question is still whether the CLUE data channel spec ahould 
>> still define the DCEP code point for the CLUE data channel, IF 
>> someone e.g. want to specify usage of CLUE in a non-O/A environment.
>>
>> Regards,
>>
>> Christer
>>
>> Sent from my Windows Phone
>> ------------------------------------------------------------------------
>> From: Paul Kyzivat <mailto:[email-masked]>
>> Sent: ‎25/‎11/‎2014 20:43
>> To: [email-masked] <mailto:[email-masked]>
>> Subject: Re: [clue] FW: draft-ejzak-mmusic-data-channel-sdpneg and DCEP
>>
>> On 11/25/14 7:00 AM, Makaraju, Maridi Raju (Raju) wrote:
>> >
>> >> Hi,
>> >>
>> >>>> If you provide the SCTP port in the WebRTC API, then DCEP won't 
>> be used.
>> >>> You meant "(stream) id" instead of "SCTP port"?
>> >>
>> >> Yes.
>> >>
>> >>> In WebRTC API createDataChannel(), use of DCEP is controlled by 
>> using
>> >> "negotiated" parameter. (Stream) id specification only determines 
>> the stream
>> >> id to be used.
>> >>
>> >> Ok. But, the point is that you can create a data channel without 
>> DCEP.
>> > [Raju]
>> > IMHO, I am in favor of not mandating DCEP for non-WebRTC device 
>> CLUE usage. Furthermore, to be consistent it may be better not to use 
>> DCEP even when CLUE is used by a WebRTC device.
>>
>> If we mandate using draft-ejzak for establishing the clue channel, then
>> DCEP won't be *used*. I think we simply make a requirement for support
>> of draft-ietf-rtcweb-data-channel, and don't mention
>> draft-ietf-rtcweb-data-protocol. If there are dependencies between those
>> two, then that is not our problem. (I thought data-channel had a
>> dependency on data-protocol, but I don't see it now, which is a good 
>> thing.)
>>
>> Thanks,
>> Paul
>>
>> > BR
>> > Raju
>> >
>> >>
>> >> Regards,
>> >>
>> >> Christer
>> >>
>> >>
>> >>
>> >>> -----Original Message-----
>> >>> From: clue [mailto:[email-masked]] On Behalf Of Christer
>> >>> Holmberg
>> >>> Sent: Tuesday, November 25, 2014 5:24 AM
>> >>> To: Christian Groves; [email-masked]
>> >>> Subject: Re: [clue] FW: draft-ejzak-mmusic-data-channel-sdpneg and
>> >>> DCEP
>> >>>
>> >>> Hi,
>> >>>
>> >>> If I understood Paul's comment, DCEP is not required for 
>> compatibility
>> >>> with WebRTC endpoints. If you provide the SCTP port in the WebRTC 
>> API,
>> >>> then DCEP won't be used.
>> >>>
>> >>> The question is really whether we want to mandate non-WebRTC CLUE
>> >>> devices to implement DCEP or not.
>> >>>
>> >>> Regards,
>> >>>
>> >>> Christer
>> > _______________________________________________
>> > clue mailing list
>> > [email-masked]
>> > https://www.ietf.org/mailman/listinfo/clue
>> >
>>
>> _______________________________________________
>> clue mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/clue
>>
>>
>> _______________________________________________
>> clue mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/clue
>
> _______________________________________________
> clue mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/clue